;****************************************************************************
;*                     GNU Hell on Earth   ver 0.16 Beta                    *
;*                    A 3D engine for the TI 92 calculator                  *
;*                     Copyright (C) 1998  Mathieu Lacage                   *
;****************************************************************************

; this macro will change the bit number in \1 so that the correct bit
; is set with the bset instruction later... It will change the register \2
; if necessary...

bitchg  MACRO
             move.w   d0,-(a7)
\@if
             tst.b    \1
             bne      \@else
\@then
             sub.w    #1,\2
             bra      \@end_if
\@else
             move.w   #8,d0
             sub.w    \1,d0
             move.w   d0,\1
\@end_if
             move.w   (a7)+,d0
         ENDM


smallfont  equ 0
mediumfont equ 1
bigfont    equ 2
black      equ 4

DispStr  macro
        move.w #\4,-(a7)
        pea    \3(pc)
        move.w #\2,-(a7)
        move.w #\1,-(a7)
        jsr    tios::DrawStrXY
        add.l  #10,a7
         endm

Setfont  macro
        move.w #\1,-(a7)
        jsr    tios::FontSetSys
        add.l  #2,a7
         endm

repeat   macro                      ;
 \2                                 ;
rcount set \1-1                     ; loop unrolling macro 
 ifne rcount                        ; 
     repeat rcount,<\2>             ;
 endif                              ;
         endm                       ;

